Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.impl.jdbcjobstore.oracle.weblogic
Class WebLogicOracleDelegate

    java.lang.Object
      org.quartz.impl.jdbcjobstore.StdJDBCDelegate
          org.quartz.impl.jdbcjobstore.oracle.OracleDelegate
              org.quartz.impl.jdbcjobstore.oracle.weblogic.WebLogicOracleDelegate

All Implemented Interfaces:
  Constants, DriverDelegate, StdJDBCConstants

public class WebLogicOracleDelegate
extends OracleDelegate

Handle Blobs correctly when Oracle is being used inside of Weblogic 8.1, as discussed at: http://edocs.bea.com/wls/docs81/jdbc/thirdparty.html#1043705

Author:
  James House, Igor Fedulov igor@fedulov.com
See Also:
  `WebLogicDelegate`

Field Summary

Fields inherited from class org.quartz.impl.jdbcjobstore.oracle.OracleDelegate
`INSERT_ORACLE_CALENDAR, SELECT_ORACLE_CALENDAR_BLOB, SELECT_ORACLE_JOB_DETAIL_BLOB, SELECT_ORACLE_TRIGGER_JOB_DETAIL_BLOB, UPDATE_ORACLE_CALENDAR_BLOB, UPDATE_ORACLE_JOB_DETAIL, UPDATE_ORACLE_JOB_DETAIL_BLOB, UPDATE_ORACLE_JOB_DETAIL_EMPTY_BLOB, UPDATE_ORACLE_TRIGGER, UPDATE_ORACLE_TRIGGER_JOB_DETAIL_BLOB, UPDATE_ORACLE_TRIGGER_JOB_DETAIL_EMPTY_BLOB`

Fields inherited from class org.quartz.impl.jdbcjobstore.StdJDBCDelegate
`instanceId, logger, tablePrefix, useProperties`

Fields inherited from interface org.quartz.impl.jdbcjobstore.StdJDBCConstants
`DELETE_BLOB_TRIGGER, DELETE_CALENDAR, DELETE_CRON_TRIGGER, DELETE_FIRED_TRIGGER, DELETE_FIRED_TRIGGERS, DELETE_INSTANCES_FIRED_TRIGGERS, DELETE_JOB_DETAIL, DELETE_JOB_LISTENERS, DELETE_NO_RECOVERY_FIRED_TRIGGERS, DELETE_PAUSED_TRIGGER_GROUP, DELETE_PAUSED_TRIGGER_GROUPS, DELETE_SCHEDULER_STATE, DELETE_SIMPLE_TRIGGER, DELETE_TRIGGER, DELETE_TRIGGER_LISTENERS, DELETE_VOLATILE_FIRED_TRIGGERS, INSERT_BLOB_TRIGGER, INSERT_CALENDAR, INSERT_CRON_TRIGGER, INSERT_FIRED_TRIGGER, INSERT_JOB_DETAIL, INSERT_JOB_LISTENER, INSERT_PAUSED_TRIGGER_GROUP, INSERT_SCHEDULER_STATE, INSERT_SIMPLE_TRIGGER, INSERT_TRIGGER, INSERT_TRIGGER_LISTENER, SELECT_BLOB_TRIGGER, SELECT_CALENDAR, SELECT_CALENDAR_EXISTENCE, SELECT_CALENDARS, SELECT_CRON_TRIGGER, SELECT_FIRED_TRIGGER, SELECT_FIRED_TRIGGER_GROUP, SELECT_FIRED_TRIGGERS, SELECT_FIRED_TRIGGERS_OF_JOB, SELECT_FIRED_TRIGGERS_OF_JOB_GROUP, SELECT_INSTANCES_FIRED_TRIGGERS, SELECT_INSTANCES_RECOVERABLE_FIRED_TRIGGERS, SELECT_JOB_DETAIL, SELECT_JOB_EXECUTION_COUNT, SELECT_JOB_EXISTENCE, SELECT_JOB_FOR_TRIGGER, SELECT_JOB_GROUPS, SELECT_JOB_LISTENERS, SELECT_JOB_STATEFUL, SELECT_JOBS_IN_GROUP, SELECT_MISFIRED_TRIGGERS, SELECT_MISFIRED_TRIGGERS_IN_GROUP_IN_STATE, SELECT_MISFIRED_TRIGGERS_IN_STATE, SELECT_NEXT_FIRE_TIME, SELECT_NUM_CALENDARS, SELECT_NUM_JOBS, SELECT_NUM_TRIGGERS, SELECT_NUM_TRIGGERS_FOR_JOB, SELECT_NUM_TRIGGERS_IN_GROUP, SELECT_PAUSED_TRIGGER_GROUP, SELECT_PAUSED_TRIGGER_GROUPS, SELECT_REFERENCED_CALENDAR, SELECT_SCHEDULER_STATE, SELECT_SCHEDULER_STATES, SELECT_SIMPLE_TRIGGER, SELECT_STATEFUL_JOBS_OF_TRIGGER_GROUP, SELECT_TRIGGER, SELECT_TRIGGER_DATA, SELECT_TRIGGER_EXISTENCE, SELECT_TRIGGER_FOR_FIRE_TIME, SELECT_TRIGGER_GROUPS, SELECT_TRIGGER_LISTENERS, SELECT_TRIGGER_STATE, SELECT_TRIGGER_STATUS, SELECT_TRIGGERS_FOR_CALENDAR, SELECT_TRIGGERS_FOR_JOB, SELECT_TRIGGERS_IN_GROUP, SELECT_TRIGGERS_IN_STATE, SELECT_VOLATILE_JOBS, SELECT_VOLATILE_TRIGGERS, TABLE_PREFIX_SUBST, UPDATE_BLOB_TRIGGER, UPDATE_CALENDAR, UPDATE_CRON_TRIGGER, UPDATE_INSTANCES_FIRED_TRIGGER_STATE, UPDATE_JOB_DATA, UPDATE_JOB_DETAIL, UPDATE_JOB_TRIGGER_STATES, UPDATE_JOB_TRIGGER_STATES_FROM_OTHER_STATE, UPDATE_SCHEDULER_STATE, UPDATE_SIMPLE_TRIGGER, UPDATE_TRIGGER, UPDATE_TRIGGER_GROUP_STATE, UPDATE_TRIGGER_GROUP_STATE_FROM_STATE, UPDATE_TRIGGER_GROUP_STATE_FROM_STATES, UPDATE_TRIGGER_SKIP_DATA, UPDATE_TRIGGER_STATE, UPDATE_TRIGGER_STATE_FROM_OTHER_STATES_BEFORE_TIME, UPDATE_TRIGGER_STATE_FROM_STATE, UPDATE_TRIGGER_STATE_FROM_STATES, UPDATE_TRIGGER_STATES_FROM_OTHER_STATES`

Fields inherited from interface org.quartz.impl.jdbcjobstore.Constants
`ALIAS_COL_NEXT_FIRE_TIME, ALL_GROUPS_PAUSED, COL_BLOB, COL_CALENDAR, COL_CALENDAR_NAME, COL_CHECKIN_INTERVAL, COL_CRON_EXPRESSION, COL_DESCRIPTION, COL_END_TIME, COL_ENTRY_ID, COL_ENTRY_STATE, COL_FIRED_TIME, COL_INSTANCE_NAME, COL_IS_DURABLE, COL_IS_STATEFUL, COL_IS_VOLATILE, COL_JOB_CLASS, COL_JOB_DATAMAP, COL_JOB_GROUP, COL_JOB_LISTENER, COL_JOB_NAME, COL_LAST_CHECKIN_TIME, COL_LOCK_NAME, COL_MISFIRE_INSTRUCTION, COL_NEXT_FIRE_TIME, COL_PREV_FIRE_TIME, COL_RECOVERER, COL_REPEAT_COUNT, COL_REPEAT_INTERVAL, COL_REQUESTS_RECOVERY, COL_START_TIME, COL_TIME_ZONE_ID, COL_TIMES_TRIGGERED, COL_TRIGGER_GROUP, COL_TRIGGER_LISTENER, COL_TRIGGER_NAME, COL_TRIGGER_STATE, COL_TRIGGER_TYPE, DEFAULT_TABLE_PREFIX, STATE_ACQUIRED, STATE_BLOCKED, STATE_COMPLETE, STATE_DELETED, STATE_ERROR, STATE_EXECUTING, STATE_MISFIRED, STATE_PAUSED, STATE_PAUSED_BLOCKED, STATE_WAITING, TABLE_BLOB_TRIGGERS, TABLE_CALENDARS, TABLE_CRON_TRIGGERS, TABLE_FIRED_TRIGGERS, TABLE_JOB_DETAILS, TABLE_JOB_LISTENERS, TABLE_LOCKS, TABLE_PAUSED_TRIGGERS, TABLE_SCHEDULER_STATE, TABLE_SIMPLE_TRIGGERS, TABLE_TRIGGER_LISTENERS, TABLE_TRIGGERS, TTYPE_BLOB, TTYPE_CRON, TTYPE_SIMPLE`

Constructor Summary
`WebLogicOracleDelegate(org.apache.commons.logging.Log logger, String tablePrefix, String instanceId)` Create new WebLogicOracleDelegate instance.
`WebLogicOracleDelegate(org.apache.commons.logging.Log logger, String tablePrefix, String instanceId, Boolean useProperties)` Create new WebLogicOracleDelegate instance.

Method Summary
`protected Blob` | `writeDataToBlob(ResultSet rs, int column, byte[] data)` Check for the Weblogic Blob wrapper, and handle accordingly...

Methods inherited from class org.quartz.impl.jdbcjobstore.oracle.OracleDelegate
`getJobDetailFromBlob, getObjectFromBlob, insertCalendar, insertJobDetail, insertTrigger, updateCalendar, updateJobData, updateJobDetail, updateTrigger`

Methods inherited from class org.quartz.impl.jdbcjobstore.StdJDBCDelegate
`calendarExists, calendarIsReferenced, canUseProperties, convertFromProperty, convertToProperty, deleteAllPausedTriggerGroups, deleteBlobTrigger, deleteCalendar, deleteCronTrigger, deleteFiredTrigger, deleteFiredTriggers, deleteFiredTriggers, deleteJobDetail, deleteJobListeners, deletePausedTriggerGroup, deleteSchedulerState, deleteSimpleTrigger, deleteTrigger, deleteTriggerListeners, deleteVolatileFiredTriggers, insertBlobTrigger, insertCronTrigger, insertFiredTrigger, insertJobListener, insertPausedTriggerGroup, insertSchedulerState, insertSimpleTrigger, insertTriggerListener, isExistingTriggerGroup, isJobStateful, isTriggerGroupPaused, jobExists, rtp, selectCalendar, selectCalendars, selectFiredTriggerRecords, selectFiredTriggerRecordsByJob, selectInstancesFiredTriggerRecords, selectJobDetail, selectJobExecutionCount, selectJobForTrigger, selectJobGroups, selectJobListeners, selectJobsInGroup, selectMisfiredTriggers, selectMisfiredTriggersInGroupInState, selectMisfiredTriggersInState, selectNextFireTime, selectNumCalendars, selectNumJobs, selectNumTriggers, selectNumTriggersForJob, selectPausedTriggerGroups, selectSchedulerStateRecords, selectStatefulJobsOfTriggerGroup, selectTrigger, selectTriggerForFireTime, selectTriggerGroups, selectTriggerJobDataMap, selectTriggerListeners, selectTriggerNamesForJob, selectTriggersForCalendar, selectTriggersForJob, selectTriggersForRecoveringJobs, selectTriggersInGroup, selectTriggersInState, selectTriggerState, selectTriggerStatus, selectVolatileJobs, selectVolatileTriggers, serializeJobData, serializeObject, triggerExists, updateBlobTrigger, updateCronTrigger, updateSchedulerState, updateSimpleTrigger, updateTriggerGroupStateFromOtherState, updateTriggerGroupStateFromOtherStates, updateTriggerState, updateTriggerStateFromOtherState, updateTriggerStateFromOtherStates, updateTriggerStateFromOtherStatesBeforeTime, updateTriggerStatesForJob, updateTriggerStatesForJobFromOtherState, updateTriggerStatesFromOtherStates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebLogicOracleDelegate

    public WebLogicOracleDelegate(org.apache.commons.logging.Log logger,
                                  String tablePrefix,
                                  String instanceId)

  Create new WebLogicOracleDelegate instance.

Parameters:
  `logger` - the logger to use during execution
  `tablePrefix` - the prefix of all table names

### WebLogicOracleDelegate

    public WebLogicOracleDelegate(org.apache.commons.logging.Log logger,
                                  String tablePrefix,
                                  String instanceId,
                                  Boolean useProperties)

  Create new WebLogicOracleDelegate instance.

Parameters:
  `logger` - the logger to use during execution
  `tablePrefix` - the prefix of all table names
  `useProperties` - use java.util.Properties for storage

Method Detail

### writeDataToBlob

    protected Blob writeDataToBlob(ResultSet rs,
                                   int column,
                                   byte[] data)
                            throws SQLException

  Check for the Weblogic Blob wrapper, and handle accordingly...

  Overrides:
    `writeDataToBlob` in class `OracleDelegate`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Quartz Enterprise Job Scheduler Project Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD